#include<bits/stdc++.h>
using namespace std;
#define ll long long
int main (){
       ios_base::sync_with_stdio(0);
       ll t , q , f , l , r , x , y , i , n , m , j , k , mn = 2e9, mx = -2e9;
       cin>>n>>m;
  ll sum=0;
  for(i=1;i<=n*m;i++){
     sum+=i;
  }
    k=abs(n-m);
    if(k==0){
     k=2;
    }
    cout<<sum+k;
 }
